# Configuration file for Leonardo

data_dir            = "/Users/jtauber/leonardo/data/"

lfs_root            = data_dir + "lfs/"

# static specific
static_dir          = data_dir + "static/"

# css specific
css_id              = "css"
css_href            = "/" + css_id

# page specific
site_title          = "Leonardo"
site_sub_title      = "sample site"
home_href           = "/"
home_key            = "__home__"
copyright_holder    = "James Tauber"

# menu specific
menu_key            = "__MENU__"
main_menu_key       = "__menu__"

# login_logout specific
login_path          = "login"
logout_path         = "logout"
login_href          = "/" + login_path
logout_href         = "/" + logout_path

# editform specific
edit_path           = "edit"
edit_href           = "/" + edit_path
edit_prefix         = "/"
edit_resource_field = "resource"

# put specific
put_path            = "put"
put_href            = "/" + put_path
put_resource_field  = "resource"
put_content_field   = "page_content"

# blog specific
blog_prefix         = "blog"
blog_title          = "Leonardo Sample Blog"
site_url            = "http://localhost:8000/"

# atom specific
atom_path           = "atom"
full_atom_path      = "atom/full"
blog_author         = "James Tauber"

# draft specific
draft_prefix        = "draft"
draft_href          = "/" + draft_prefix